<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>L-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="L-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#login">login</a></span> - Variable in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">the login for the github user, it is validated to be required and not empty</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/DemoApplication.html#logincheck()">logincheck()</a></span> - Method in class com.hadassah.demo.<a href="../com/hadassah/demo/DemoApplication.html" title="class in com.hadassah.demo">DemoApplication</a></dt>
<dd>
<div class="block">defining the <a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans"><code>AuthorizeSessionLogin</code></a> resource and its "factory" function</div>
</dd>
<dt><a href="../com/hadassah/demo/controllers/LogInController.html" title="class in com.hadassah.demo.controllers"><span class="typeNameLink">LogInController</span></a> - Class in <a href="../com/hadassah/demo/controllers/package-summary.html">com.hadassah.demo.controllers</a></dt>
<dd>
<div class="block">Controller that handles login and logout requests</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/LogInController.html#%3Cinit%3E()">LogInController()</a></span> - Constructor for class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/LogInController.html" title="class in com.hadassah.demo.controllers">LogInController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans"><span class="typeNameLink">LoginForm</span></a> - Class in <a href="../com/hadassah/demo/beans/package-summary.html">com.hadassah.demo.beans</a></dt>
<dd>
<div class="block">A login form bean,
 this is received from the form and is validated through constraints
 including custom constraint <a href="../com/hadassah/demo/validators/ValidLogin.html" title="annotation in com.hadassah.demo.validators"><code>ValidLogin</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/LoginForm.html#%3Cinit%3E()">LoginForm()</a></span> - Constructor for class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans">LoginForm</a></dt>
<dd>
<div class="block">empty constructor so can be injected to controller</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/LoginForm.html#%3Cinit%3E(java.lang.String,java.lang.String)">LoginForm(String, String)</a></span> - Constructor for class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans">LoginForm</a></dt>
<dd>
<div class="block">so can create through form</div>
</dd>
<dt><a href="../com/hadassah/demo/filters/LoginInterceptor.html" title="class in com.hadassah.demo.filters"><span class="typeNameLink">LoginInterceptor</span></a> - Class in <a href="../com/hadassah/demo/filters/package-summary.html">com.hadassah.demo.filters</a></dt>
<dd>
<div class="block">this class intercepts all requests and displays statistics: request processing duration
 look also at the MyConfig class that registers the filter and define the specific URL pattern to
 catch.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/filters/LoginInterceptor.html#%3Cinit%3E(com.hadassah.demo.beans.AuthorizeSessionLogin)">LoginInterceptor(AuthorizeSessionLogin)</a></span> - Constructor for class com.hadassah.demo.filters.<a href="../com/hadassah/demo/filters/LoginInterceptor.html" title="class in com.hadassah.demo.filters">LoginInterceptor</a></dt>
<dd>
<div class="block">to construct the interceptor</div>
</dd>
<dt><a href="../com/hadassah/demo/validators/LoginValidator.html" title="class in com.hadassah.demo.validators"><span class="typeNameLink">LoginValidator</span></a> - Class in <a href="../com/hadassah/demo/validators/package-summary.html">com.hadassah.demo.validators</a></dt>
<dd>
<div class="block">implements <code>ConstraintValidator</code> and validates <a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans"><code>LoginForm</code></a> using the <a href="../com/hadassah/demo/validators/ValidLogin.html" title="annotation in com.hadassah.demo.validators"><code>ValidLogin</code></a> constraint</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/validators/LoginValidator.html#%3Cinit%3E()">LoginValidator()</a></span> - Constructor for class com.hadassah.demo.validators.<a href="../com/hadassah/demo/validators/LoginValidator.html" title="class in com.hadassah.demo.validators">LoginValidator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/LogInController.html#logout()">logout()</a></span> - Method in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/LogInController.html" title="class in com.hadassah.demo.controllers">LogInController</a></dt>
<dd>
<div class="block">logout controller,
 logs him out and redirects to login</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
